Bug 204067 - Load 'proxy_ajp' in main config
Load 'proxy_ajp' in main config
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
bzcl34nup
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 07:58 EDT by Enrico Scholz
Modified: 2010-06-28 06:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A proxy_ajp.conf that fixes the problem. (566 bytes, text/plain)
2008-09-19 02:27 EDT, Martin Langhoff
no flags Details
The correct file (600 bytes, text/plain)
2008-09-19 03:06 EDT, Martin Langhoff
no flags Details

  None (edit)
Description Enrico Scholz 2006-08-25 07:58:02 EDT
Description of problem:

Please move the

| LoadModule proxy_ajp_module modules/mod_proxy_ajp.so

instruction from /etc/httpd/conf.d/proxy_ajp.conf into the main httpd.conf. On
most of my servers I disable the proxy modules and having it in separate files
requires touching multiple files.

Alternatives:
* move the proxy_ajp stuff into an own package which can be installed on demand
only.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Enrico Scholz 2006-08-25 08:00:00 EDT
uups... was sent incompletely. Should read:

=========

Description of problem:

Please move the

| LoadModule proxy_ajp_module modules/mod_proxy_ajp.so

instruction from /etc/httpd/conf.d/proxy_ajp.conf into the main
httpd.conf. On most of my servers I disable the proxy modules and
having it in separate files requires touching multiple files.


Alternatives:
* move the proxy_ajp stuff into an own package which can be installed
  on demand only
* comment out the 'LoadModule' instruction
* place the current proxy_ajp.conf body into an
  | <IfModule mod_proxy>
  | ...
  | </IfModule>

  block

Version-Release number of selected component (if applicable):

httpd-2.2.2-1.2
Comment 2 Joe Orton 2006-09-11 09:44:11 EDT
Thanks for the feedback.

A loaded but unused/unconfigured modules generally have no effect on the
run-time behaviour of server; "ease of disabling" is not really a particularly
compelling argument here.  proxy_ajp does not alone warrant a separate
subpackage due to either size or functionality.

It is somewhat arbitrary having the proxy_ajp config separated, agreed.  But
this isn't harmful and lacking sufficient motivation to change it again, I'll
leave it as-is for the time being.
Comment 3 Enrico Scholz 2006-09-11 10:21:05 EDT
I do not want to load unused modules (mod_proxy in this case), because:

* httpd will require more memory
* it might open security leaks

It is a good practice to enable only features which are really used. So, please
add at least the '<IfModule mod_proxy>' block.
Comment 4 Tom Hughes 2007-09-21 03:53:07 EDT
Agreed - this drives me absolutely bonkers having to remove/rename the
proxy_ajp.conf file every time there is an httpd update.

Good security practice demands not loading unused code in the server so not
loading the proxy module is absolutely the right thing to do for most people and
making that hard by being too lazy to add an IfModule guard to proxy_ajp.conf is
just silly.
Comment 5 Bug Zapper 2008-04-03 23:35:49 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Enrico Scholz 2008-04-04 03:31:44 EDT
still there
Comment 7 Martin Langhoff 2008-09-19 02:23:37 EDT
This is still an issue, and I have a good trivial fix. The attached proxy_ajp.conf file disables proxy_ajp if mod_proxy has been disabled, using an IfModule clause.
Comment 8 Martin Langhoff 2008-09-19 02:27:32 EDT
Created attachment 317157 [details]
A proxy_ajp.conf that fixes the problem.
Comment 9 John Poelstra 2008-09-19 02:40:47 EDT
Hi Joe,

Are plans to fix this bug?

Thanks,
John
Comment 10 Martin Langhoff 2008-09-19 02:52:37 EDT
BTW, this affects the OLPC School Server. If a f9 update appears with this tiny tiny fix, it saves me from having to ship a custom httpd.
Comment 11 Ignacio Vazquez-Abrams 2008-09-19 03:01:15 EDT
The attachment looks like what's in the stock F8 install. Did something change since then, or did you attach the wrong file?
Comment 12 Martin Langhoff 2008-09-19 03:06:40 EDT
Created attachment 317161 [details]
The correct file
Comment 13 Martin Langhoff 2008-09-19 03:07:37 EDT
Sorry - picked the file from the wrong directory. Correct file uploaded and double checked...
Comment 14 Martin Langhoff 2008-10-13 21:01:25 EDT
Ping Apache maintainers - this is a trivial fix :-)
Comment 15 Bug Zapper 2008-11-26 02:01:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Martin Langhoff 2008-11-26 14:14:52 EST
Ping Apache maintainers 

- this is present in F9 F10 and rawhide - save it from autoclosing!
- this is a trivial fix :-)
- a good patch is attached
Comment 17 Bug Zapper 2009-06-09 05:09:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2010-04-27 07:40:11 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-06-28 06:22:45 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.